Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.graphics.export
Class FreeHEPWriter

    java.lang.Object
      info.bioinfweb.treegraph.graphics.export.AbstractGraphicWriter
          info.bioinfweb.treegraph.graphics.export.FreeHEPWriter

All Implemented Interfaces:
  GraphicWriter

Direct Known Subclasses:
  EMFWriter

    public abstract class FreeHEPWriter

extends AbstractGraphicWriter
implements GraphicWriter

Field Summary

Fields inherited from interface info.bioinfweb.treegraph.graphics.export.GraphicWriter
`KEY_DIMENSIONS_IN_PIXELS, KEY_HEIGHT, KEY_PIXELS_PER_MILLIMETER, KEY_TRANSPARENT, KEY_WIDTH`

Constructor Summary
`FreeHEPWriter()`

Method Summary
`protected abstract org.freehep.graphicsio.AbstractVectorGraphicsIO` | `createGraphics(java.io.OutputStream stream, java.awt.Dimension dim)`
`void` | `write(Document document, TreePainter painter, GraphicWriterHints hints, java.io.OutputStream stream)`

Methods inherited from class info.bioinfweb.treegraph.graphics.export.AbstractGraphicWriter
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.graphics.export.GraphicWriter
`write`

Constructor Detail

### FreeHEPWriter

    public FreeHEPWriter()

Method Detail

### createGraphics

    protected abstract org.freehep.graphicsio.AbstractVectorGraphicsIO createGraphics(java.io.OutputStream stream,
                                                                                      java.awt.Dimension dim)

### write

    public void write(Document document,
                      TreePainter painter,
                      GraphicWriterHints hints,
                      java.io.OutputStream stream)

  Specified by:
    `write` in interface `GraphicWriter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD